#!/bin/bash
set -euo pipefail
cd "$(dirname "$0")/.."

which appstreamcli && appstreamcli validate data/net.kirgroup.confy.metainfo.xml.in

[ ! -d bld ] && meson setup bld
ninja -C bld/ confy-pot
ninja -C bld/ confy-update-po
rm -r bld
